//
//  Original file by Mike Miller
//
//  Modified for POV-Ray version 3.x by
//  Colin Fleming, cj_fleming@btinternet.com
//

/*--------   IONIC CAPITAL TURN -------------------------------*/

#declare YourTexture =
texture { T_Stone1 scale 20 }
//texture { MARBLE1 finish { ambient 0.4 diffuse 1 } scale <5, 13, 4> }
//texture { MARBLE4 finish { diffuse 1 phong 0.6 phong_size 20 } scale <5, 7, 3> rotate z*50 }

/*  ***** dot declaration *****  */
#declare Dot = sphere { 0, 1 }

/*  ***** cylindrical connector *****  */
#declare Connector_1 = cylinder { -x, x, 1 }

/*  ***** conical connector *****  */
// Infinite cone in Y axis, rotated to X axis
#declare Connector_2 = quadric { <1, -1, 1>, 0, 0, 0 rotate z*90 }

#declare s1 =
union {
  sphere { 0, 1.2 translate x*4 texture { YourTexture } }
  object {
    Connector_2
    clipped_by {
      plane { x, 1.199990 }
      plane { x, 1.194990 inverse}
    }
    translate x*-1.199990
    scale <248.644324, 1, 1>
    translate x*-0.004826
    rotate y*180
    rotate y*-101.846098
    translate x*4
    texture { YourTexture }
  }
  sphere { 0, 1.195 translate <3.744785, 0, 1.216754> texture { YourTexture } }
  object {
    Connector_2
    clipped_by {
      plane { x, 1.194990 }
      plane { x, 1.189990 inverse}
    }
    translate x*-1.194990
    scale <244.738491, 1, 1>
    translate x*-0.004883
    rotate y*180
    rotate y*-119.891533
    translate <3.744785, 0, 1.216754>
    texture { YourTexture }
  }
  sphere { 0, 1.19 translate <3.134941, 0, 2.277668> texture { YourTexture } }
  object {
    Connector_2
    clipped_by {
      plane { x, 1.189990 }
      plane { x, 1.184990 inverse}
    }
    translate x*-1.189990
    scale <240.832580, 1, 1>
    translate x*-0.004941
    rotate y*180
    rotate y*-137.938517
    translate <3.134941, 0, 2.277668>
    texture { YourTexture }
  }
  sphere { 0, 1.185 translate <2.240931, 0, 3.084377> texture { YourTexture } }
  object {
    Connector_2
    clipped_by {
      plane { x, 1.184989 }
      plane { x, 1.179989 inverse}
    }
    translate x*-1.184989
    scale <236.926837, 1, 1>
    translate x*-0.005001
    rotate y*180
    rotate y*-155.986945
    translate <2.240931, 0, 3.084377>
    texture { YourTexture }
  }
  sphere { 0, 1.18 translate <1.158814, 0, 3.566462> texture { YourTexture } }
  object {
    Connector_2
    clipped_by {
      plane { x, 1.179989 }
      plane { x, 1.174989 inverse}
    }
    translate x*-1.179989
    scale <233.021465, 1, 1>
    translate x*-0.005064
    rotate y*180
    rotate y*-174.037084
    translate <1.158814, 0, 3.566462>
    texture { YourTexture }
  }
  sphere { 0, 1.175 translate z*3.6875 texture { YourTexture } }
  object {
    Connector_2
    clipped_by {
      plane { x, 1.174989 }
      plane { x, 1.169989 inverse}
    }
    translate x*-1.174989
    scale <229.116173, 1, 1>
    translate x*-0.005128
    rotate y*180
    rotate y*167.911115
    translate x*3.687500
    texture { YourTexture }
  }
  sphere { 0, 1.17 translate <-1.120187, 0, 3.447580> texture { YourTexture } }
  object {
    Connector_2
    clipped_by {
      plane { x, 1.169988 }
      plane { x, 1.164989 inverse}
    }
    translate x*-1.169988
    scale <225.210938, 1, 1>
    translate x*-0.005195
    rotate y*180
    rotate y*149.857475
    translate <-1.120187, 0, 3.447580>
    texture { YourTexture }
  }
  sphere { 0, 1.165 translate <-2.093985, 0, 2.882123> texture { YourTexture } }
  object {
    Connector_2
    clipped_by {
      plane { x, 1.164988 }
      plane { x, 1.159988 inverse}
    }
    translate x*-1.164988
    scale <221.306048, 1, 1>
    translate x*-0.005264
    rotate y*180
    rotate y*131.801954
    translate <-2.093985, 0, 2.882123>
    texture { YourTexture }
  }
  sphere { 0, 1.16 translate <-2.831559, 0, 2.057248> texture { YourTexture } }
  object {
    Connector_2
    clipped_by {
      plane { x, 1.159988 }
      plane { x, 1.154988 inverse}
    }
    translate x*-1.159988
    scale <217.401336, 1, 1>
    translate x*-0.005336
    rotate y*180
    rotate y*113.744531
    translate <-2.831559, 0, 2.057248>
    texture { YourTexture }
  }
  sphere { 0, 1.155 translate <-3.269257, 0, 1.062246> texture { YourTexture } }
  object {
    Connector_2
    clipped_by {
      plane { x, 1.154987 }
      plane { x, 1.149987 inverse}
    }
    translate x*-1.154987
    scale <213.496899, 1, 1>
    translate x*-0.005410
    rotate y*180
    rotate y*95.684872
    translate <-3.269257, 0, 1.062246>
    texture { YourTexture }
  }
  sphere { 0, 1.15 translate x*-3.375 texture { YourTexture } }
  object {
    Connector_2
    clipped_by {
      plane { x, 1.149987 }
      plane { x, 1.144987 inverse}
    }
    translate x*-1.149987
    scale <209.592676, 1, 1>
    translate x*-0.005487
    rotate y*180
    rotate y*77.623080
    translate x*-3.375
    texture { YourTexture }
  }
  sphere { 0, 1.145 translate <-3.150375, 0, -1.023619> texture { YourTexture } }
  object {
    Connector_2
    clipped_by {
      plane { x, 1.144986 }
      plane { x, 1.139987 inverse}
    }
    translate x*-1.144986
    scale <205.688666, 1, 1>
    translate x*-0.005567
    rotate y*180
    rotate y*59.558860
    translate <-3.150375, 0, -1.023619>
    texture { YourTexture }
  }
  sphere { 0, 1.14 translate <-2.629305, 0, -1.910302> texture { YourTexture } }
  object {
    Connector_2
    clipped_by {
      plane { x, 1.139986 }
      plane { x, 1.134986 inverse}
    }
    translate x*-1.139986
    scale <201.785032, 1, 1>
    translate x*-0.005650
    rotate y*180
    rotate y*41.492248
    translate <-2.629305, 0, -1.910302>
    texture { YourTexture }
  }
  sphere { 0, 1.135 translate <-1.873565, 0, -2.578742> texture { YourTexture } }
  object {
    Connector_2
    clipped_by {
      plane { x, 1.134986 }
      plane { x, 1.129986 inverse}
    }
    translate x*-1.134986
    scale <197.881435, 1, 1>
    translate x*-0.005736
    rotate y*180
    rotate y*23.422970
    translate <-1.873565, 0, -2.578742>
    texture { YourTexture }
  }
  sphere { 0, 1.13 translate <-0.965678, 0, -2.972052> texture { YourTexture } }
  object {
    Connector_2
    clipped_by {
      plane { x, 1.129985 }
      plane { x, 1.124985 inverse}
    }
    translate x*-1.129985
    scale <193.978333, 1, 1>
    translate x*-0.005825
    rotate y*180
    rotate y*5.350866
    translate <-0.965678, 0, -2.972052>
    texture { YourTexture }
  }
  sphere { 0, 1.125 translate z*-3.0625 texture { YourTexture } }
  object {
    Connector_2
    clipped_by {
      plane { x, 1.124984 }
      plane { x, 1.119985 inverse}
    }
    translate x*-1.124984
    scale <190.075522, 1, 1>
    translate x*-0.005919
    rotate y*180
    rotate y*-12.724115
    translate z*-3.0625
    texture { YourTexture }
  }
  sphere { 0, 1.12 translate <0.927051, 0, -2.853170> texture { YourTexture } }
  object {
    Connector_2
    clipped_by {
      plane { x, 1.119984 }
      plane { x, 1.114984 inverse}
    }
    translate x*-1.119984
    scale <186.173110, 1, 1>
    translate x*-0.006016
    rotate y*180
    rotate y*-30.802369
    translate <0.927051, 0, -2.853170>
    texture { YourTexture }
  }
  sphere { 0, 1.115 translate <1.726619, 0, -2.376487> texture { YourTexture } }
  object {
    Connector_2
    clipped_by {
      plane { x, 1.114983 }
      plane { x, 1.109983 inverse}
    }
    translate x*-1.114983
    scale <182.270846, 1, 1>
    translate x*-0.006117
    rotate y*180
    rotate y*-48.883790
    translate <1.726619, 0, -2.376487>
    texture { YourTexture }
  }
  sphere { 0, 1.11 translate <2.325924, 0, -1.689883> texture { YourTexture } }
  object {
    Connector_2
    clipped_by {
      plane { x, 1.109983 }
      plane { x, 1.104983 inverse}
    }
    translate x*-1.109983
    scale <178.369266, 1, 1>
    translate x*-0.006223
    rotate y*180
    rotate y*-66.968981
    translate <2.325924, 0, -1.689883>
    texture { YourTexture }
  }
  sphere { 0, 1.105 translate <2.674846, 0, -0.869110> texture { YourTexture } }
  object {
    Connector_2
    clipped_by {
      plane { x, 1.104982 }
      plane { x, 1.099982 inverse}
    }
    translate x*-1.104982
    scale <174.467798, 1, 1>
    translate x*-0.006333
    rotate y*180
    rotate y*-85.057792
    translate <2.674846, 0, -0.869110>
    texture { YourTexture }
  }
  sphere { 0, 1.1 translate x*2.75 texture { YourTexture } }
  object {
    Connector_2
    clipped_by {
      plane { x, 1.099981 }
      plane { x, 1.094981 inverse}
    }
    translate x*-1.099981
    scale <170.566935, 1, 1>
    translate x*-0.006449
    rotate y*180
    rotate y*-103.150812
    translate x*2.75
    texture { YourTexture }
  }
  sphere { 0, 1.095 translate <2.555964, 0, 0.830483> texture { YourTexture } }
  object {
    Connector_2
    clipped_by {
      plane { x, 1.094980 }
      plane { x, 1.089980 inverse}
    }
    translate x*-1.094980
    scale <166.666419, 1, 1>
    translate x*-0.006570
    rotate y*180
    rotate y*-121.248055
    translate <2.555964, 0, 0.830483>
    texture { YourTexture }
  }
  sphere { 0, 1.09 translate <2.12367, 0, 1.542936> texture { YourTexture } }
  object {
    Connector_2
    clipped_by {
      plane { x, 1.089979 }
      plane { x, 1.084980 inverse}
    }
    translate x*-1.089979
    scale <162.766634, 1, 1>
    translate x*-0.006697
    rotate y*180
    rotate y*-139.350064
    translate <2.12367, 0, 1.542936>
    texture { YourTexture }
  }
  sphere { 0, 1.085 translate <1.5062, 0, 2.073106> texture { YourTexture } }
  object {
    Connector_2
    clipped_by {
      plane { x, 1.084979 }
      plane { x, 1.079979 inverse}
    }
    translate x*-1.084979
    scale <158.867319, 1, 1>
    translate x*-0.006829
    rotate y*180
    rotate y*-157.457091
    translate <1.5062, 0, 2.073106>
    texture { YourTexture }
  }
  sphere { 0, 1.08 translate <0.772542, 0, 2.377641> texture { YourTexture } }
  object {
    Connector_2
    clipped_by {
      plane { x, 1.079978 }
      plane { x, 1.074978 inverse}
    }
    translate x*-1.079978
    scale <154.968286, 1, 1>
    translate x*-0.006969
    rotate y*180
    rotate y*-175.569394
    translate <0.772542, 0, 2.377641>
    texture { YourTexture }
  }
  sphere { 0, 1.075 translate z*2.4375 texture { YourTexture } }
  object {
    Connector_2
    clipped_by {
      plane { x, 1.074976 }
      plane { x, 1.069977 inverse}
    }
    translate x*-1.074976
    scale <151.070126, 1, 1>
    translate x*-0.007116
    rotate y*180
    rotate y*166.312395
    translate z*2.4375
    texture { YourTexture }
  }
  sphere { 0, 1.07 translate <-0.733915, 0, 2.258759> texture { YourTexture } }
  object {
    Connector_2
    clipped_by {
      plane { x, 1.069975 }
      plane { x, 1.064975 inverse}
    }
    translate x*-1.069975
    scale <147.172614, 1, 1>
    translate x*-0.007270
    rotate y*180
    rotate y*148.188022
    translate <-0.733915, 0, 2.258759>
    texture { YourTexture }
  }
  sphere { 0, 1.065 translate <-1.359253, 0, 1.870852> texture { YourTexture } }
  object {
    Connector_2
    clipped_by {
      plane { x, 1.064974 }
      plane { x, 1.059974 inverse}
    }
    translate x*-1.064974
    scale <143.275894, 1, 1>
    translate x*-0.007433
    rotate y*180
    rotate y*130.056813
    translate <-1.359253, 0, 1.870852>
    texture { YourTexture }
  }
  sphere { 0, 1.06 translate <-1.820288, 0, 1.322517> texture { YourTexture } }
  object {
    Connector_2
    clipped_by {
      plane { x, 1.059973 }
      plane { x, 1.054973 inverse}
    }
    translate x*-1.059973
    scale <139.379846, 1, 1>
    translate x*-0.007605
    rotate y*180
    rotate y*111.918291
    translate <-1.820288, 0, 1.322517>
    texture { YourTexture }
  }
  sphere { 0, 1.055 translate <-2.080436, 0, 0.675975> texture { YourTexture } }
  object {
    Connector_2
    clipped_by {
      plane { x, 1.054971 }
      plane { x, 1.049971 inverse}
    }
    translate x*-1.054971
    scale <135.484782, 1, 1>
    translate x*-0.007787
    rotate y*180
    rotate y*93.771796
    translate <-2.080436, 0, 0.675975>
    texture { YourTexture }
  }
  sphere { 0, 1.05 translate x*-2.125 texture { YourTexture } }
  object {
    Connector_2
    clipped_by {
      plane { x, 1.049970 }
      plane { x, 1.044970 inverse}
    }
    translate x*-1.049970
    scale <131.590588, 1, 1>
    translate x*-0.007979
    rotate y*180
    rotate y*75.616629
    translate x*-2.125
    texture { YourTexture }
  }
  sphere { 0, 1.045 translate <-1.961554, 0, -0.637348> texture { YourTexture } }
  object {
    Connector_2
    clipped_by {
      plane { x, 1.044968 }
      plane { x, 1.039968 inverse}
    }
    translate x*-1.044968
    scale <127.697296, 1, 1>
    translate x*-0.008183
    rotate y*180
    rotate y*57.452008
    translate <-1.961554, 0, -0.637348>
    texture { YourTexture }
  }
  sphere { 0, 1.04 translate <-1.618034, 0, -1.175571> texture { YourTexture } }
  object {
    Connector_2
    clipped_by {
      plane { x, 1.039966 }
      plane { x, 1.034966 inverse}
    }
    translate x*-1.039966
    scale <123.805083, 1, 1>
    translate x*-0.008400
    rotate y*180
    rotate y*39.276962
    translate <-1.618034, 0, -1.175571>
    texture { YourTexture }
  }
  sphere { 0, 1.035 translate <-1.138834, 0, -1.567470> texture { YourTexture } }
  object {
    Connector_2
    clipped_by {
      plane { x, 1.034964 }
      plane { x, 1.029964 inverse}
    }
    translate x*-1.034964
    scale <119.914366, 1, 1>
    translate x*-0.008631
    rotate y*180
    rotate y*21.090736
    translate <-1.138834, 0, -1.567470>
    texture { YourTexture }
  }
  sphere { 0, 1.03 translate <-0.579407, 0, -1.783231> texture { YourTexture } }
  object {
    Connector_2
    clipped_by {
      plane { x, 1.029962 }
      plane { x, 1.024962 inverse}
    }
    translate x*-1.029962
    scale <116.024850, 1, 1>
    translate x*-0.008877
    rotate y*180
    rotate y*2.891863
    translate <-0.579407, 0, -1.783231>
    texture { YourTexture }
  }
  sphere { 0, 1.025 translate z*-1.8125 texture { YourTexture } }
  object {
    Connector_2
    clipped_by {
      plane { x, 1.024959 }
      plane { x, 1.019959 inverse}
    }
    translate x*-1.024959
    scale <112.136832, 1, 1>
    translate x*-0.009140
    rotate y*180
    rotate y*-15.320731
    translate z*-1.8125
    texture { YourTexture }
  }
  sphere { 0, 1.02 translate <0.54078, 0, -1.664349> texture { YourTexture } }
  object {
    Connector_2
    clipped_by {
      plane { x, 1.019956 }
      plane { x, 1.014957 inverse}
    }
    translate x*-1.019956
    scale <108.250447, 1, 1>
    translate x*-0.009422
    rotate y*180
    rotate y*-33.548648
    translate <0.54078, 0, -1.664349>
    texture { YourTexture }
  }
  sphere { 0, 1.015 translate <0.991888, 0, -1.365216> texture { YourTexture } }
  object {
    Connector_2
    clipped_by {
      plane { x, 1.014953 }
      plane { x, 1.009954 inverse}
    }
    translate x*-1.014953
    scale <104.365808, 1, 1>
    translate x*-0.009725
    rotate y*180
    rotate y*-51.793472
    translate <0.991888, 0, -1.365216>
    texture { YourTexture }
  }
  sphere { 0, 1.01 translate <1.314653, 0, -0.955151> texture { YourTexture } }
  object {
    Connector_2
    clipped_by {
      plane { x, 1.009950 }
      plane { x, 1.004950 inverse}
    }
    translate x*-1.009950
    scale <100.483298, 1, 1>
    translate x*-0.010051
    rotate y*180
    rotate y*-70.057277
    translate <1.314653, 0, -0.955151>
    texture { YourTexture }
  }
  sphere { 0, 1.005 translate <1.486026, 0, -0.482839> texture { YourTexture } }
}